| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::softdouble Struct Reference
Core functionality » Utility and system functions and macros » Softfloat support

`#include <opencv2/core/softfloat.hpp>`

Collaboration diagram for cv::softdouble:

## Public Member Functions
| softdouble ()
| Default constructor.
| softdouble (const double a)
| Construct from double.
| softdouble (const int32_t)
| softdouble (const int64_t)
| softdouble (const softdouble &c)
| Copy constructor.
| softdouble (const uint32_t)
| Construct from integer.
| softdouble (const uint64_t)
int | getExp () const
| Get 0-based exponent.
softdouble | getFrac () const
| Get a fraction part.
bool | getSign () const
| Get sign bit.
bool | isInf () const
| Inf state indicator.
bool | isNaN () const
| NaN state indicator.
bool | isSubnormal () const
| Subnormal number indicator.
| operator double () const
| operator softfloat () const
| Type casts
bool | operator!= (const softdouble &) const
softdouble | operator% (const softdouble &) const
| Remainder operator.
softdouble & | operator%= (const softdouble &a)
softdouble | operator* (const softdouble &) const
softdouble & | operator*= (const softdouble &a)
softdouble | operator+ (const softdouble &) const
| Basic arithmetics.
softdouble & | operator+= (const softdouble &a)
softdouble | operator- () const
softdouble | operator- (const softdouble &) const
softdouble & | operator-= (const softdouble &a)
softdouble | operator/ (const softdouble &) const
softdouble & | operator/= (const softdouble &a)
bool | operator< (const softdouble &) const
bool | operator<= (const softdouble &) const
softdouble & | operator= (const softdouble &c)
| Assign constructor.
bool | operator== (const softdouble &) const
| Comparison operations.
bool | operator> (const softdouble &) const
bool | operator>= (const softdouble &) const
softdouble | setExp (int e) const
| Construct a copy with new 0-based exponent.
softdouble | setFrac (const softdouble &s) const
| Construct a copy with provided significand.
softdouble | setSign (bool sign) const
| Construct a copy with new sign bit.

## Static Public Member Functions
static softdouble | eps ()
| Difference between 1 and next representable value.
static softdouble | fromRaw (const uint64_t a)
| Construct from raw.
static softdouble | inf ()
| Positive infinity constant.
static softdouble | max ()
| Biggest finite value.
static softdouble | min ()
| Smallest normalized value.
static softdouble | nan ()
| Default NaN constant.
static softdouble | one ()
| One constant.
static softdouble | pi ()
| Correct pi approximation.
static softdouble | zero ()
| Zero constant.

## Public Attributes
uint64_t | v

The documentation for this struct was generated from the following file:

- opencv2/core/softfloat.hpp